namespace Stary.Evo
{
    public interface ICanGetData: IBelongToArchitecture
    {
        
    }
    public static class CanGetDataExtension
    {
        public static T GetData<T>(this ICanGetData self) where T : class, IData
        {
            return self.GetArchitecture().GetData<T>();
        }
    }
}